VTK: vtkPointCloudRepresentation Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
vtkPointCloudRepresentation Class Reference

represent the vtkPointCloudWidget More...

`#include <vtkPointCloudRepresentation.h>`

Inheritance diagram for vtkPointCloudRepresentation:
[legend]
Collaboration diagram for vtkPointCloudRepresentation:
[legend]

## Public Types
enum | InteractionStateType { Outside = 0 , OverOutline , Over , Selecting }
typedef InteractionStateType | _InteractionState
Public Types inherited from vtkWidgetRepresentation
enum | Axis { NONE = -1 , XAxis = 0 , YAxis = 1 , ZAxis = 2 , Custom = 3 }
| Axis labels. More...
typedef vtkProp | Superclass
| Standard methods for instances of this class. More...
Public Types inherited from vtkProp
typedef vtkObject | Superclass

## Public Member Functions
vtkIdType | GetPointId ()
| Retrieve the point id from the selected point. More...
void | RegisterPickers () override
| Register internal Pickers in the Picking Manager. More...
void | PlacePointCloud (vtkActor *a)
| Specify and place either an actor (vtkActor) or a point set (vtkPointSet) that represents the point cloud. More...
void | PlacePointCloud (vtkPointSet *ps)
| Specify and place either an actor (vtkActor) or a point set (vtkPointSet) that represents the point cloud. More...
virtual vtkActor * | GetPointCloudActor ()
| Retrieve the associated actor and mapper used to render the point cloud. More...
virtual vtkPolyDataMapper * | GetPointCloudMapper ()
| Retrieve the associated actor and mapper used to render the point cloud. More...
const double * | GetPointCoordinates ()
| Retrieve the point coordinates of the selected point. More...
void | GetPointCoordinates (double x[3])
| Retrieve the point coordinates of the selected point. More...
virtual void | SetHighlighting (bool)
| Flag controls whether highlighting of points occurs as the mouse moves over them. More...
virtual bool | GetHighlighting ()
| Flag controls whether highlighting of points occurs as the mouse moves over them. More...
virtual void | HighlightingOn ()
| Flag controls whether highlighting of points occurs as the mouse moves over them. More...
virtual void | HighlightingOff ()
| Flag controls whether highlighting of points occurs as the mouse moves over them. More...
virtual void | SetInteractionState (int)
| The interaction state may be set from a widget (e.g., PointCloudWidget) or other object. More...
double * | GetBounds () override
| Some methods required to satisfy the vtkWidgetRepresentation API. More...
void | BuildRepresentation () override
| Some methods required to satisfy the vtkWidgetRepresentation API. More...
int | ComputeInteractionState (int X, int Y, int modify=0) override
| Some methods required to satisfy the vtkWidgetRepresentation API. More...
void | GetActors (vtkPropCollection *pc) override
| These methods are necessary to make this representation behave as a vtkProp (i.e., support rendering). More...
void | GetActors2D (vtkPropCollection *pc) override
| These methods are necessary to make this representation behave as a vtkProp (i.e., support rendering). More...
int | RenderOpaqueGeometry (vtkViewport *viewport) override
| These methods are necessary to make this representation behave as a vtkProp (i.e., support rendering). More...
int | RenderTranslucentPolygonalGeometry (vtkViewport *viewport) override
| These methods are necessary to make this representation behave as a vtkProp (i.e., support rendering). More...
vtkTypeBool | HasTranslucentPolygonalGeometry () override
| These methods are necessary to make this representation behave as a vtkProp (i.e., support rendering). More...
void | ReleaseGraphicsResources (vtkWindow *) override
| These methods are necessary to make this representation behave as a vtkProp (i.e., support rendering). More...
int | RenderOverlay (vtkViewport *) override
| These methods are necessary to make this representation behave as a vtkProp (i.e., support rendering). More...
virtual void | SetHardwarePickingTolerance (unsigned int)
| The tolerance representing the distance to a point expressed in pixels. More...
virtual unsigned int | GetHardwarePickingTolerance ()
| The tolerance representing the distance to a point expressed in pixels. More...
virtual void | SetSoftwarePickingTolerance (double)
| The tolerance representing the distance to a point (as a fraction of the bounding box of the point cloud). More...
virtual double | GetSoftwarePickingTolerance ()
| The tolerance representing the distance to a point (as a fraction of the bounding box of the point cloud). More...
Public Member Functions inherited from vtkWidgetRepresentation
virtual void | PlaceWidget (double vtkNotUsed(bounds)[6])
| The following is a suggested API for widget representations. More...
virtual void | StartWidgetInteraction (double eventPos[2])
virtual void | WidgetInteraction (double newEventPos[2])
virtual void | EndWidgetInteraction (double newEventPos[2])
virtual int | GetInteractionState ()
virtual void | Highlight (int vtkNotUsed(highlightOn))
double * | GetBounds () override
| Methods to make this class behave as a vtkProp. More...
void | ShallowCopy (vtkProp *prop) override
| Shallow copy of this vtkProp. More...
void | GetActors (vtkPropCollection *) override
| For some exporters and other other operations we must be able to collect all the actors or volumes. More...
void | GetActors2D (vtkPropCollection *) override
void | GetVolumes (vtkPropCollection *) override
void | ReleaseGraphicsResources (vtkWindow *) override
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE Release any graphics resources that are being consumed by this actor. More...
int | RenderOverlay (vtkViewport *vtkNotUsed(viewport)) override
int | RenderOpaqueGeometry (vtkViewport *vtkNotUsed(viewport)) override
int | RenderTranslucentPolygonalGeometry (vtkViewport *vtkNotUsed(viewport)) override
int | RenderVolumetricGeometry (vtkViewport *vtkNotUsed(viewport)) override
vtkTypeBool | HasTranslucentPolygonalGeometry () override
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THESE METHODS OUTSIDE OF THE RENDERING PROCESS Does this prop have some translucent polygonal geometry? This method is called during the rendering process to know if there is some translucent polygonal geometry. More...
virtual void | UnRegisterPickers ()
| Unregister internal pickers from the Picking Manager. More...
virtual void | PickingManagedOn ()
| Enable/Disable the use of a manager to process the picking. More...
virtual void | PickingManagedOff ()
| Enable/Disable the use of a manager to process the picking. More...
void | SetPickingManaged (bool managed)
| Enable/Disable the use of a manager to process the picking. More...
virtual bool | GetPickingManaged ()
| Enable/Disable the use of a manager to process the picking. More...
virtual void | SetRenderer (vtkRenderer *ren)
| Subclasses of vtkWidgetRepresentation must implement these methods. More...
virtual vtkRenderer * | GetRenderer ()
| Subclasses of vtkWidgetRepresentation must implement these methods. More...
virtual void | StartComplexInteraction (vtkRenderWindowInteractor *, vtkAbstractWidget *, unsigned long, void *)
virtual void | ComplexInteraction (vtkRenderWindowInteractor *, vtkAbstractWidget *, unsigned long, void *)
virtual void | EndComplexInteraction (vtkRenderWindowInteractor *, vtkAbstractWidget *, unsigned long, void *)
virtual int | ComputeComplexInteractionState (vtkRenderWindowInteractor *iren, vtkAbstractWidget *widget, unsigned long event, void *callData, int modify=0)
virtual void | SetPlaceFactor (double)
| Set/Get a factor representing the scaling of the widget upon placement (via the PlaceWidget() method). More...
virtual double | GetPlaceFactor ()
| Set/Get a factor representing the scaling of the widget upon placement (via the PlaceWidget() method). More...
virtual void | SetHandleSize (double)
| Set/Get the factor that controls the size of the handles that appear as part of the widget (if any). More...
virtual double | GetHandleSize ()
| Set/Get the factor that controls the size of the handles that appear as part of the widget (if any). More...
virtual vtkTypeBool | GetNeedToRender ()
| Some subclasses use this data member to keep track of whether to render or not (i.e., to minimize the total number of renders). More...
virtual void | SetNeedToRender (vtkTypeBool)
| Some subclasses use this data member to keep track of whether to render or not (i.e., to minimize the total number of renders). More...
virtual void | NeedToRenderOn ()
| Some subclasses use this data member to keep track of whether to render or not (i.e., to minimize the total number of renders). More...
virtual void | NeedToRenderOff ()
| Some subclasses use this data member to keep track of whether to render or not (i.e., to minimize the total number of renders). More...
vtkWidgetRepresentation * | NewInstance () const
| Standard methods for instances of this class. More...
void | PrintSelf (ostream &os, vtkIndent indent) override
| Standard methods for instances of this class. More...
Public Member Functions inherited from vtkProp
vtkProp * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | Pick ()
| Method fires PickEvent if the prop is picked. More...
virtual vtkMTimeType | GetRedrawMTime ()
| Return the mtime of anything that would cause the rendered image to appear differently. More...
virtual void | PokeMatrix (vtkMatrix4x4 *vtkNotUsed(matrix))
| These methods are used by subclasses to place a matrix (if any) in the prop prior to rendering. More...
virtual vtkMatrix4x4 * | GetMatrix ()
virtual bool | HasKeys (vtkInformation *requiredKeys)
| Tells if the prop has all the required keys. More...
virtual int | RenderVolumetricGeometry (vtkViewport *)
virtual bool | RenderFilteredOpaqueGeometry (vtkViewport *v, vtkInformation *requiredKeys)
| Render the opaque geometry only if the prop has all the requiredKeys. More...
virtual bool | RenderFilteredTranslucentPolygonalGeometry (vtkViewport *v, vtkInformation *requiredKeys)
| Render the translucent polygonal geometry only if the prop has all the requiredKeys. More...
virtual bool | RenderFilteredVolumetricGeometry (vtkViewport *v, vtkInformation *requiredKeys)
| Render the volumetric geometry only if the prop has all the requiredKeys. More...
virtual bool | RenderFilteredOverlay (vtkViewport *v, vtkInformation *requiredKeys)
| Render in the overlay of the viewport only if the prop has all the requiredKeys. More...
virtual vtkTypeBool | HasOpaqueGeometry ()
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THESE METHODS OUTSIDE OF THE RENDERING PROCESS Does this prop have some opaque geometry? This method is called during the rendering process to know if there is some opaque geometry. More...
virtual double | GetEstimatedRenderTime (vtkViewport *)
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THESE METHODS OUTSIDE OF THE RENDERING PROCESS The EstimatedRenderTime may be used to select between different props, for example in LODProp it is used to select the level-of-detail. More...
virtual double | GetEstimatedRenderTime ()
virtual void | SetEstimatedRenderTime (double t)
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THESE METHODS OUTSIDE OF THE RENDERING PROCESS This method is used by, for example, the vtkLODProp3D in order to initialize the estimated render time at start-up to some user defined value. More...
virtual void | RestoreEstimatedRenderTime ()
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THESE METHODS OUTSIDE OF THE RENDERING PROCESS When the EstimatedRenderTime is first set to 0.0 (in the SetAllocatedRenderTime method) the old value is saved. More...
virtual void | AddEstimatedRenderTime (double t, vtkViewport *vtkNotUsed(vp))
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS This method is intended to allow the renderer to add to the EstimatedRenderTime in props that require information that the renderer has in order to do this. More...
void | SetRenderTimeMultiplier (double t)
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS Get/Set the multiplier for the render time. More...
virtual double | GetRenderTimeMultiplier ()
virtual void | BuildPaths (vtkAssemblyPaths *paths, vtkAssemblyPath *path)
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS Used to construct assembly paths and perform part traversal. More...
virtual bool | GetSupportsSelection ()
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS Used by vtkHardwareSelector to determine if the prop supports hardware selection. More...
virtual void | ProcessSelectorPixelBuffers (vtkHardwareSelector *, std::vector< unsigned int > &)
| allows a prop to update a selections color buffers More...
virtual void | SetVisibility (vtkTypeBool)
| Set/Get visibility of this vtkProp. More...
virtual vtkTypeBool | GetVisibility ()
| Set/Get visibility of this vtkProp. More...
virtual void | VisibilityOn ()
| Set/Get visibility of this vtkProp. More...
virtual void | VisibilityOff ()
| Set/Get visibility of this vtkProp. More...
virtual void | SetPickable (vtkTypeBool)
| Set/Get the pickable instance variable. More...
virtual vtkTypeBool | GetPickable ()
| Set/Get the pickable instance variable. More...
virtual void | PickableOn ()
| Set/Get the pickable instance variable. More...
virtual void | PickableOff ()
| Set/Get the pickable instance variable. More...
virtual void | SetDragable (vtkTypeBool)
| Set/Get the value of the dragable instance variable. More...
virtual vtkTypeBool | GetDragable ()
| Set/Get the value of the dragable instance variable. More...
virtual void | DragableOn ()
| Set/Get the value of the dragable instance variable. More...
virtual void | DragableOff ()
| Set/Get the value of the dragable instance variable. More...
virtual void | SetUseBounds (bool)
| In case the Visibility flag is true, tell if the bounds of this prop should be taken into account or ignored during the computation of other bounding boxes, like in vtkRenderer::ResetCamera(). More...
virtual bool | GetUseBounds ()
| In case the Visibility flag is true, tell if the bounds of this prop should be taken into account or ignored during the computation of other bounding boxes, like in vtkRenderer::ResetCamera(). More...
virtual void | UseBoundsOn ()
| In case the Visibility flag is true, tell if the bounds of this prop should be taken into account or ignored during the computation of other bounding boxes, like in vtkRenderer::ResetCamera(). More...
virtual void | UseBoundsOff ()
| In case the Visibility flag is true, tell if the bounds of this prop should be taken into account or ignored during the computation of other bounding boxes, like in vtkRenderer::ResetCamera(). More...
virtual void | InitPathTraversal ()
| vtkProp and its subclasses can be picked by subclasses of vtkAbstractPicker (e.g., vtkPropPicker). More...
virtual vtkAssemblyPath * | GetNextPath ()
| vtkProp and its subclasses can be picked by subclasses of vtkAbstractPicker (e.g., vtkPropPicker). More...
virtual int | GetNumberOfPaths ()
| vtkProp and its subclasses can be picked by subclasses of vtkAbstractPicker (e.g., vtkPropPicker). More...
virtual vtkInformation * | GetPropertyKeys ()
| Set/Get property keys. More...
virtual void | SetPropertyKeys (vtkInformation *keys)
| Set/Get property keys. More...
virtual void | SetAllocatedRenderTime (double t, vtkViewport *vtkNotUsed(v))
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS The renderer may use the allocated rendering time to determine how to render this actor. More...
virtual double | GetAllocatedRenderTime ()
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS. More...
virtual int | GetNumberOfConsumers ()
| Get the number of consumers. More...
void | AddConsumer (vtkObject *c)
| Add or remove or get or check a consumer,. More...
void | RemoveConsumer (vtkObject *c)
| Add or remove or get or check a consumer,. More...
vtkObject * | GetConsumer (int i)
| Add or remove or get or check a consumer,. More...
int | IsConsumer (vtkObject *c)
| Add or remove or get or check a consumer,. More...
virtual void | SetShaderProperty (vtkShaderProperty *property)
| Set/Get the shader property. More...
virtual vtkShaderProperty * | GetShaderProperty ()
| Set/Get the shader property. More...
virtual bool | IsRenderingTranslucentPolygonalGeometry ()
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkPointCloudRepresentation * | New ()
| Instantiate this class. More...
Static Public Member Functions inherited from vtkWidgetRepresentation
static vtkTypeBool | IsTypeOf (const char *type)
| Standard methods for instances of this class. More...
static vtkWidgetRepresentation * | SafeDownCast (vtkObjectBase *o)
| Standard methods for instances of this class. More...
Static Public Member Functions inherited from vtkProp
static vtkTypeBool | IsTypeOf (const char *type)
static vtkProp * | SafeDownCast (vtkObjectBase *o)
static vtkInformationIntegerKey * | GeneralTextureUnit ()
| Optional Key Indicating the texture unit for general texture mapping Old OpenGL was a state machine where you would push or pop items. More...
static vtkInformationDoubleVectorKey * | GeneralTextureTransform ()
| Optional Key Indicating the texture transform for general texture mapping Old OpenGL was a state machine where you would push or pop items. More...
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
| vtkPointCloudRepresentation ()
| ~vtkPointCloudRepresentation () override
void | CreateDefaultProperties ()
Protected Member Functions inherited from vtkWidgetRepresentation
| vtkWidgetRepresentation ()
| ~vtkWidgetRepresentation () override
void | AdjustBounds (double bounds[6], double newBounds[6], double center[3])
vtkPickingManager * | GetPickingManager ()
| Return the picking manager associated on the context on which the widget representation currently belong. More...
vtkAssemblyPath * | GetAssemblyPath (double X, double Y, double Z, vtkAbstractPropPicker *picker)
| Proceed to a pick, whether through the PickingManager if the picking is managed or directly using the registered picker, and return the assembly path. More...
vtkAssemblyPath * | GetAssemblyPath3DPoint (double pos[3], vtkAbstractPropPicker *picker)
bool | NearbyEvent (int X, int Y, double bounds[6])
double | SizeHandlesRelativeToViewport (double factor, double pos[3])
double | SizeHandlesInPixels (double factor, double pos[3])
void | UpdatePropPose (vtkProp3D *prop, const double *pos1, const double *orient1, const double *pos2, const double *orient2)
Protected Member Functions inherited from vtkProp
| vtkProp ()
| ~vtkProp () override
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Protected Attributes
vtkActor * | PointCloudActor
vtkPolyDataMapper * | PointCloudMapper
vtkPointSet * | PointCloud
vtkIdType | PointId
double | PointCoordinates [3]
bool | Highlighting
int | PickingMode
unsigned int | HardwarePickingTolerance
double | SoftwarePickingTolerance
vtkPicker * | OutlinePicker
vtkPointCloudPicker * | PointCloudPicker
vtkActor * | OutlineActor
vtkPolyDataMapper * | OutlineMapper
vtkOutlineFilter * | OutlineFilter
vtkActor2D * | SelectionActor
vtkCoordinate * | SelectionCoordinate
vtkPolyDataMapper2D * | SelectionMapper
vtkGlyphSource2D * | SelectionShape
vtkProperty2D * | SelectionProperty
Protected Attributes inherited from vtkWidgetRepresentation
vtkWeakPointer< vtkRenderer > | Renderer
int | InteractionState
double | StartEventPosition [3]
double | PlaceFactor
int | Placed
double | InitialBounds [6]
double | InitialLength
int | ValidPick
bool | PickingManaged
double | HandleSize
vtkTypeBool | NeedToRender
vtkTimeStamp | BuildTime
vtkNew< vtkTransform > | TempTransform
vtkNew< vtkMatrix4x4 > | TempMatrix
Protected Attributes inherited from vtkProp
vtkTypeBool | Visibility
vtkTypeBool | Pickable
vtkTypeBool | Dragable
bool | UseBounds
double | AllocatedRenderTime
double | EstimatedRenderTime
double | SavedEstimatedRenderTime
double | RenderTimeMultiplier
int | NumberOfConsumers
vtkObject ** | Consumers
vtkAssemblyPaths * | Paths
vtkInformation * | PropertyKeys
vtkShaderProperty * | ShaderProperty
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Friends
struct | vtkPointCloudPicker
enum | PickingModeType { HARDWARE_PICKING = 0 , SOFTWARE_PICKING }
| Because point clouds can be very large, alternative point picking approaches can be used to select points: either hardware picking (via rendering) or software rendering (via CPU ray cast). More...
typedef PickingModeType | _Picking_Mode
| Because point clouds can be very large, alternative point picking approaches can be used to select points: either hardware picking (via rendering) or software rendering (via CPU ray cast). More...
virtual void | SetPickingMode (int)
| Because point clouds can be very large, alternative point picking approaches can be used to select points: either hardware picking (via rendering) or software rendering (via CPU ray cast). More...
virtual int | GetPickingMode ()
| Because point clouds can be very large, alternative point picking approaches can be used to select points: either hardware picking (via rendering) or software rendering (via CPU ray cast). More...
void | SetPickingModeToHardware ()
| Because point clouds can be very large, alternative point picking approaches can be used to select points: either hardware picking (via rendering) or software rendering (via CPU ray cast). More...
void | SetPickingModeToSoftware ()
| Because point clouds can be very large, alternative point picking approaches can be used to select points: either hardware picking (via rendering) or software rendering (via CPU ray cast). More...
typedef vtkWidgetRepresentation | Superclass
| Standard VTK class methods for obtaining type information and printing. More...
static vtkTypeBool | IsTypeOf (const char *type)
| Standard VTK class methods for obtaining type information and printing. More...
static vtkPointCloudRepresentation * | SafeDownCast (vtkObjectBase *o)
| Standard VTK class methods for obtaining type information and printing. More...
virtual vtkTypeBool | IsA (const char *type)
| Standard VTK class methods for obtaining type information and printing. More...
vtkPointCloudRepresentation * | NewInstance () const
| Standard VTK class methods for obtaining type information and printing. More...
void | PrintSelf (ostream &os, vtkIndent indent) override
| Standard VTK class methods for obtaining type information and printing. More...
virtual vtkObjectBase * | NewInstanceInternal () const
| Standard VTK class methods for obtaining type information and printing. More...

## Additional Inherited Members
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()

## Detailed Description

represent the vtkPointCloudWidget

This class provides support for interactively querying and selecting points from a point cloud. It is a representation for the vtkPointCloudWidget.

See also
  vtkPointCloudWidget vtkHardwareSelection vtkPointPicker

Tests:
  vtkPointCloudRepresentation (Tests)

Definition at line 41 of file vtkPointCloudRepresentation.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkWidgetRepresentation vtkPointCloudRepresentation::Superclass

Standard VTK class methods for obtaining type information and printing.

Definition at line 55 of file vtkPointCloudRepresentation.h.

## ◆ _InteractionState

typedef InteractionStateType vtkPointCloudRepresentation::_InteractionState

Definition at line 122 of file vtkPointCloudRepresentation.h.

## ◆ _Picking_Mode

typedef PickingModeType vtkPointCloudRepresentation::_Picking_Mode

Because point clouds can be very large, alternative point picking approaches can be used to select points: either hardware picking (via rendering) or software rendering (via CPU ray cast).

In summary, hardware picking (via vtkHardwareSelector) is preferred, with an optional software picker (via vtkPointPicker) available. Each approach has potential advantages and disadvantages - mainly, vtkHardwareSelector is faster but only selects opaque geometry and what is visible on the screen, does not work with anti-aliasing, cannot handle assemblies, and may not work on some systems. vtkPointPicker avoids extra renders, and can handle translucent geometry, can select points "behind" other objects, will work on all systems, but is scalable to only a few tens of thousands of points. (See vtkHardwareSelector and vtkPointPicker for further information.) The choice of picker also has implications on the type of tolerancing used (as described in the following documentation). (Note also that the pickers may return slightly different results, this is expected due to the different way tolerancing works.)

Definition at line 186 of file vtkPointCloudRepresentation.h.

## Member Enumeration Documentation

## ◆ InteractionStateType

enum vtkPointCloudRepresentation::InteractionStateType

Enumerator
Outside |
OverOutline |
Over |
Selecting |

Definition at line 113 of file vtkPointCloudRepresentation.h.

## ◆ PickingModeType

enum vtkPointCloudRepresentation::PickingModeType

Because point clouds can be very large, alternative point picking approaches can be used to select points: either hardware picking (via rendering) or software rendering (via CPU ray cast).

In summary, hardware picking (via vtkHardwareSelector) is preferred, with an optional software picker (via vtkPointPicker) available. Each approach has potential advantages and disadvantages - mainly, vtkHardwareSelector is faster but only selects opaque geometry and what is visible on the screen, does not work with anti-aliasing, cannot handle assemblies, and may not work on some systems. vtkPointPicker avoids extra renders, and can handle translucent geometry, can select points "behind" other objects, will work on all systems, but is scalable to only a few tens of thousands of points. (See vtkHardwareSelector and vtkPointPicker for further information.) The choice of picker also has implications on the type of tolerancing used (as described in the following documentation). (Note also that the pickers may return slightly different results, this is expected due to the different way tolerancing works.)

Enumerator
HARDWARE_PICKING |
SOFTWARE_PICKING |

Definition at line 179 of file vtkPointCloudRepresentation.h.

## Constructor & Destructor Documentation

## ◆ vtkPointCloudRepresentation()

vtkPointCloudRepresentation::vtkPointCloudRepresentation | ( |  | ) |
| protected

## ◆ ~vtkPointCloudRepresentation()

vtkPointCloudRepresentation::~vtkPointCloudRepresentation | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ New()

static vtkPointCloudRepresentation* vtkPointCloudRepresentation::New | ( |  | ) |
| static

Instantiate this class.

## ◆ IsTypeOf()

static vtkTypeBool vtkPointCloudRepresentation::IsTypeOf | ( | const char * | type | ) |
| static

Standard VTK class methods for obtaining type information and printing.

## ◆ IsA()

virtual vtkTypeBool vtkPointCloudRepresentation::IsA | ( | const char * | type | ) |
| virtual

Standard VTK class methods for obtaining type information and printing.

Reimplemented from vtkWidgetRepresentation.

## ◆ SafeDownCast()

static vtkPointCloudRepresentation* vtkPointCloudRepresentation::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

Standard VTK class methods for obtaining type information and printing.

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkPointCloudRepresentation::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Standard VTK class methods for obtaining type information and printing.

Reimplemented from vtkWidgetRepresentation.

## ◆ NewInstance()

vtkPointCloudRepresentation* vtkPointCloudRepresentation::NewInstance | ( |  | ) | const

Standard VTK class methods for obtaining type information and printing.

## ◆ PrintSelf()

void vtkPointCloudRepresentation::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Standard VTK class methods for obtaining type information and printing.

Reimplemented from vtkObject.

## ◆ PlacePointCloud() [1/2]

void vtkPointCloudRepresentation::PlacePointCloud | ( | vtkActor * | a | ) |

Specify and place either an actor (vtkActor) or a point set (vtkPointSet) that represents the point cloud.

If placing with an actor, then the actor must refer to a mapper which in turn refers to a vtkPointSet, with the actor being used to render the point cloud. If placing with a vtkPointSet, then an internal vtkActor (and associated vtkPointGaussianMapper) is created to render the point cloud.

## ◆ PlacePointCloud() [2/2]

void vtkPointCloudRepresentation::PlacePointCloud | ( | vtkPointSet * | ps | ) |

Specify and place either an actor (vtkActor) or a point set (vtkPointSet) that represents the point cloud.

If placing with an actor, then the actor must refer to a mapper which in turn refers to a vtkPointSet, with the actor being used to render the point cloud. If placing with a vtkPointSet, then an internal vtkActor (and associated vtkPointGaussianMapper) is created to render the point cloud.

## ◆ GetPointCloudActor()

virtual vtkActor* vtkPointCloudRepresentation::GetPointCloudActor | ( |  | ) |
| virtual

Retrieve the associated actor and mapper used to render the point cloud.

## ◆ GetPointCloudMapper()

virtual vtkPolyDataMapper* vtkPointCloudRepresentation::GetPointCloudMapper | ( |  | ) |
| virtual

Retrieve the associated actor and mapper used to render the point cloud.

## ◆ GetPointId()

vtkIdType vtkPointCloudRepresentation::GetPointId | ( |  | ) |
| inline

Retrieve the point id from the selected point.

Note that this can be invalid (<0) if nothing was picked.

Definition at line 84 of file vtkPointCloudRepresentation.h.

## ◆ GetPointCoordinates() [1/2]

const double* vtkPointCloudRepresentation::GetPointCoordinates | ( |  | ) |
| inline

Retrieve the point coordinates of the selected point.

Note that if the point id is invalid (<0) then the coordinates are undefined.

Definition at line 91 of file vtkPointCloudRepresentation.h.

## ◆ GetPointCoordinates() [2/2]

void vtkPointCloudRepresentation::GetPointCoordinates | ( | double | x[3] | ) |
| inline

Retrieve the point coordinates of the selected point.

Note that if the point id is invalid (<0) then the coordinates are undefined.

Definition at line 92 of file vtkPointCloudRepresentation.h.

## ◆ SetHighlighting()

virtual void vtkPointCloudRepresentation::SetHighlighting | ( | bool |  | ) |
| virtual

Flag controls whether highlighting of points occurs as the mouse moves over them.

This can cause extra rendering operations.

## ◆ GetHighlighting()

virtual bool vtkPointCloudRepresentation::GetHighlighting | ( |  | ) |
| virtual

Flag controls whether highlighting of points occurs as the mouse moves over them.

This can cause extra rendering operations.

## ◆ HighlightingOn()

virtual void vtkPointCloudRepresentation::HighlightingOn | ( |  | ) |
| virtual

Flag controls whether highlighting of points occurs as the mouse moves over them.

This can cause extra rendering operations.

## ◆ HighlightingOff()

virtual void vtkPointCloudRepresentation::HighlightingOff | ( |  | ) |
| virtual

Flag controls whether highlighting of points occurs as the mouse moves over them.

This can cause extra rendering operations.

## ◆ SetInteractionState()

virtual void vtkPointCloudRepresentation::SetInteractionState | ( | int |  | ) |
| virtual

The interaction state may be set from a widget (e.g., PointCloudWidget) or other object.

This controls how the interaction with the widget proceeds. Normally this method is used as part of a handshaking process with the widget: First ComputeInteractionState() is invoked that returns a state based on geometric considerations (i.e., cursor near a widget feature), then based on events, the widget may modify this further.

## ◆ GetBounds()

double* vtkPointCloudRepresentation::GetBounds | ( |  | ) |
| overridevirtual

Some methods required to satisfy the vtkWidgetRepresentation API.

Reimplemented from vtkProp.

## ◆ BuildRepresentation()

void vtkPointCloudRepresentation::BuildRepresentation | ( |  | ) |
| inlineoverridevirtual

Some methods required to satisfy the vtkWidgetRepresentation API.

Implements vtkWidgetRepresentation.

Definition at line 142 of file vtkPointCloudRepresentation.h.

## ◆ ComputeInteractionState()

int vtkPointCloudRepresentation::ComputeInteractionState | ( | int | X,
|  | int | Y,
|  | int | modify = `0`
| ) |  |
| overridevirtual

Some methods required to satisfy the vtkWidgetRepresentation API.

Reimplemented from vtkWidgetRepresentation.

## ◆ GetActors()

void vtkPointCloudRepresentation::GetActors | ( | vtkPropCollection * | pc | ) |
| overridevirtual

These methods are necessary to make this representation behave as a vtkProp (i.e., support rendering).

Reimplemented from vtkProp.

## ◆ GetActors2D()

void vtkPointCloudRepresentation::GetActors2D | ( | vtkPropCollection * | pc | ) |
| overridevirtual

These methods are necessary to make this representation behave as a vtkProp (i.e., support rendering).

Reimplemented from vtkProp.

## ◆ RenderOpaqueGeometry()

int vtkPointCloudRepresentation::RenderOpaqueGeometry | ( | vtkViewport * | viewport | ) |
| overridevirtual

These methods are necessary to make this representation behave as a vtkProp (i.e., support rendering).

Reimplemented from vtkProp.

## ◆ RenderTranslucentPolygonalGeometry()

int vtkPointCloudRepresentation::RenderTranslucentPolygonalGeometry | ( | vtkViewport * | viewport | ) |
| overridevirtual

These methods are necessary to make this representation behave as a vtkProp (i.e., support rendering).

Reimplemented from vtkProp.

## ◆ HasTranslucentPolygonalGeometry()

vtkTypeBool vtkPointCloudRepresentation::HasTranslucentPolygonalGeometry | ( |  | ) |
| overridevirtual

These methods are necessary to make this representation behave as a vtkProp (i.e., support rendering).

Reimplemented from vtkProp.

## ◆ ReleaseGraphicsResources()

void vtkPointCloudRepresentation::ReleaseGraphicsResources | ( | vtkWindow * |  | ) |
| overridevirtual

These methods are necessary to make this representation behave as a vtkProp (i.e., support rendering).

Reimplemented from vtkProp.

## ◆ RenderOverlay()

int vtkPointCloudRepresentation::RenderOverlay | ( | vtkViewport * |  | ) |
| overridevirtual

These methods are necessary to make this representation behave as a vtkProp (i.e., support rendering).

Reimplemented from vtkProp.

## ◆ SetPickingMode()

virtual void vtkPointCloudRepresentation::SetPickingMode | ( | int |  | ) |
| virtual

Because point clouds can be very large, alternative point picking approaches can be used to select points: either hardware picking (via rendering) or software rendering (via CPU ray cast).

In summary, hardware picking (via vtkHardwareSelector) is preferred, with an optional software picker (via vtkPointPicker) available. Each approach has potential advantages and disadvantages - mainly, vtkHardwareSelector is faster but only selects opaque geometry and what is visible on the screen, does not work with anti-aliasing, cannot handle assemblies, and may not work on some systems. vtkPointPicker avoids extra renders, and can handle translucent geometry, can select points "behind" other objects, will work on all systems, but is scalable to only a few tens of thousands of points. (See vtkHardwareSelector and vtkPointPicker for further information.) The choice of picker also has implications on the type of tolerancing used (as described in the following documentation). (Note also that the pickers may return slightly different results, this is expected due to the different way tolerancing works.)

## ◆ GetPickingMode()

virtual int vtkPointCloudRepresentation::GetPickingMode | ( |  | ) |
| virtual

Because point clouds can be very large, alternative point picking approaches can be used to select points: either hardware picking (via rendering) or software rendering (via CPU ray cast).

In summary, hardware picking (via vtkHardwareSelector) is preferred, with an optional software picker (via vtkPointPicker) available. Each approach has potential advantages and disadvantages - mainly, vtkHardwareSelector is faster but only selects opaque geometry and what is visible on the screen, does not work with anti-aliasing, cannot handle assemblies, and may not work on some systems. vtkPointPicker avoids extra renders, and can handle translucent geometry, can select points "behind" other objects, will work on all systems, but is scalable to only a few tens of thousands of points. (See vtkHardwareSelector and vtkPointPicker for further information.) The choice of picker also has implications on the type of tolerancing used (as described in the following documentation). (Note also that the pickers may return slightly different results, this is expected due to the different way tolerancing works.)

## ◆ SetPickingModeToHardware()

void vtkPointCloudRepresentation::SetPickingModeToHardware | ( |  | ) |
| inline

Because point clouds can be very large, alternative point picking approaches can be used to select points: either hardware picking (via rendering) or software rendering (via CPU ray cast).

In summary, hardware picking (via vtkHardwareSelector) is preferred, with an optional software picker (via vtkPointPicker) available. Each approach has potential advantages and disadvantages - mainly, vtkHardwareSelector is faster but only selects opaque geometry and what is visible on the screen, does not work with anti-aliasing, cannot handle assemblies, and may not work on some systems. vtkPointPicker avoids extra renders, and can handle translucent geometry, can select points "behind" other objects, will work on all systems, but is scalable to only a few tens of thousands of points. (See vtkHardwareSelector and vtkPointPicker for further information.) The choice of picker also has implications on the type of tolerancing used (as described in the following documentation). (Note also that the pickers may return slightly different results, this is expected due to the different way tolerancing works.)

Definition at line 190 of file vtkPointCloudRepresentation.h.

## ◆ SetPickingModeToSoftware()

void vtkPointCloudRepresentation::SetPickingModeToSoftware | ( |  | ) |
| inline

Because point clouds can be very large, alternative point picking approaches can be used to select points: either hardware picking (via rendering) or software rendering (via CPU ray cast).

In summary, hardware picking (via vtkHardwareSelector) is preferred, with an optional software picker (via vtkPointPicker) available. Each approach has potential advantages and disadvantages - mainly, vtkHardwareSelector is faster but only selects opaque geometry and what is visible on the screen, does not work with anti-aliasing, cannot handle assemblies, and may not work on some systems. vtkPointPicker avoids extra renders, and can handle translucent geometry, can select points "behind" other objects, will work on all systems, but is scalable to only a few tens of thousands of points. (See vtkHardwareSelector and vtkPointPicker for further information.) The choice of picker also has implications on the type of tolerancing used (as described in the following documentation). (Note also that the pickers may return slightly different results, this is expected due to the different way tolerancing works.)

Definition at line 191 of file vtkPointCloudRepresentation.h.

## ◆ SetHardwarePickingTolerance()

virtual void vtkPointCloudRepresentation::SetHardwarePickingTolerance | ( | unsigned int |  | ) |
| virtual

The tolerance representing the distance to a point expressed in pixels.

A tolerance of 0 selects from the pixel precisely under the cursor. A tolerance of 1 results in a 3x3 pixel square under the cursor (padded out by 1 in each direction); a tolerance of N results in a (2N+1)**2 selection rectangle. The point in the selection rectangle which is closest in z-buffer to the pick position is selected. Note that this can sometimes return points further away from the cursor (which can be unexpected - use the tolerance carefully).

## ◆ GetHardwarePickingTolerance()

virtual unsigned int vtkPointCloudRepresentation::GetHardwarePickingTolerance | ( |  | ) |
| virtual

The tolerance representing the distance to a point expressed in pixels.

A tolerance of 0 selects from the pixel precisely under the cursor. A tolerance of 1 results in a 3x3 pixel square under the cursor (padded out by 1 in each direction); a tolerance of N results in a (2N+1)**2 selection rectangle. The point in the selection rectangle which is closest in z-buffer to the pick position is selected. Note that this can sometimes return points further away from the cursor (which can be unexpected - use the tolerance carefully).

## ◆ SetSoftwarePickingTolerance()

virtual void vtkPointCloudRepresentation::SetSoftwarePickingTolerance | ( | double |  | ) |
| virtual

The tolerance representing the distance to a point (as a fraction of the bounding box of the point cloud).

This specifies when the cursor is considered near enough to the point to highlight it. Note that this is a sensitive parameter - too small and it's hard to pick anything; too large and points close to the eye can be picked in preference to points further away which are closer to the pick ray.

## ◆ GetSoftwarePickingTolerance()

virtual double vtkPointCloudRepresentation::GetSoftwarePickingTolerance | ( |  | ) |
| virtual

The tolerance representing the distance to a point (as a fraction of the bounding box of the point cloud).

This specifies when the cursor is considered near enough to the point to highlight it. Note that this is a sensitive parameter - too small and it's hard to pick anything; too large and points close to the eye can be picked in preference to points further away which are closer to the pick ray.

## ◆ RegisterPickers()

void vtkPointCloudRepresentation::RegisterPickers | ( |  | ) |
| overridevirtual

Register internal Pickers in the Picking Manager.

Must be reimplemented by concrete widget representations to register their pickers.

Reimplemented from vtkWidgetRepresentation.

## ◆ CreateDefaultProperties()

void vtkPointCloudRepresentation::CreateDefaultProperties | ( |  | ) |
| protected

## Friends And Related Function Documentation

## ◆ vtkPointCloudPicker

friend struct vtkPointCloudPicker
| friend

Definition at line 43 of file vtkPointCloudRepresentation.h.

## Member Data Documentation

## ◆ PointCloudActor

vtkActor* vtkPointCloudRepresentation::PointCloudActor
| protected

Definition at line 232 of file vtkPointCloudRepresentation.h.

## ◆ PointCloudMapper

vtkPolyDataMapper* vtkPointCloudRepresentation::PointCloudMapper
| protected

Definition at line 233 of file vtkPointCloudRepresentation.h.

## ◆ PointCloud

vtkPointSet* vtkPointCloudRepresentation::PointCloud
| protected

Definition at line 234 of file vtkPointCloudRepresentation.h.

## ◆ PointId

vtkIdType vtkPointCloudRepresentation::PointId
| protected

Definition at line 237 of file vtkPointCloudRepresentation.h.

## ◆ PointCoordinates

double vtkPointCloudRepresentation::PointCoordinates[3]
| protected

Definition at line 238 of file vtkPointCloudRepresentation.h.

## ◆ Highlighting

bool vtkPointCloudRepresentation::Highlighting
| protected

Definition at line 241 of file vtkPointCloudRepresentation.h.

## ◆ PickingMode

int vtkPointCloudRepresentation::PickingMode
| protected

Definition at line 242 of file vtkPointCloudRepresentation.h.

## ◆ HardwarePickingTolerance

unsigned int vtkPointCloudRepresentation::HardwarePickingTolerance
| protected

Definition at line 243 of file vtkPointCloudRepresentation.h.

## ◆ SoftwarePickingTolerance

double vtkPointCloudRepresentation::SoftwarePickingTolerance
| protected

Definition at line 244 of file vtkPointCloudRepresentation.h.

## ◆ OutlinePicker

vtkPicker* vtkPointCloudRepresentation::OutlinePicker
| protected

Definition at line 245 of file vtkPointCloudRepresentation.h.

## ◆ PointCloudPicker

vtkPointCloudPicker* vtkPointCloudRepresentation::PointCloudPicker
| protected

Definition at line 246 of file vtkPointCloudRepresentation.h.

## ◆ OutlineActor

vtkActor* vtkPointCloudRepresentation::OutlineActor
| protected

Definition at line 249 of file vtkPointCloudRepresentation.h.

## ◆ OutlineMapper

vtkPolyDataMapper* vtkPointCloudRepresentation::OutlineMapper
| protected

Definition at line 250 of file vtkPointCloudRepresentation.h.

## ◆ OutlineFilter

vtkOutlineFilter* vtkPointCloudRepresentation::OutlineFilter
| protected

Definition at line 251 of file vtkPointCloudRepresentation.h.

## ◆ SelectionActor

vtkActor2D* vtkPointCloudRepresentation::SelectionActor
| protected

Definition at line 254 of file vtkPointCloudRepresentation.h.

## ◆ SelectionCoordinate

vtkCoordinate* vtkPointCloudRepresentation::SelectionCoordinate
| protected

Definition at line 255 of file vtkPointCloudRepresentation.h.

## ◆ SelectionMapper

vtkPolyDataMapper2D* vtkPointCloudRepresentation::SelectionMapper
| protected

Definition at line 256 of file vtkPointCloudRepresentation.h.

## ◆ SelectionShape

vtkGlyphSource2D* vtkPointCloudRepresentation::SelectionShape
| protected

Definition at line 257 of file vtkPointCloudRepresentation.h.

## ◆ SelectionProperty

vtkProperty2D* vtkPointCloudRepresentation::SelectionProperty
| protected

Definition at line 259 of file vtkPointCloudRepresentation.h.

The documentation for this class was generated from the following file:

- Interaction/Widgets/vtkPointCloudRepresentation.h